/**
 * An implementation of PBR (Physically-Based Rendering).
 * Physically Based Shading of a microfacet surface defined by a glTF material.
 */
export declare const pbr: {
    name: string;
    vs: string;
    fs: string;
    defines: {
        LIGHTING_FRAGMENT: number;
    };
    dependencies: {
        name: string;
        vs: string;
        fs: string;
        getUniforms: (opts?: import("../lights/lights").LightsOptions) => Record<string, any>;
        defines: {
            MAX_LIGHTS: number;
        };
    }[];
    getUniforms: (props: any) => any;
};
//# sourceMappingURL=pbr.d.ts.map